petsc-3.12.4 2020-02-04
Report Typos and Errors

# PetscStrArrayDestroy

Frees array of strings created with PetscStrArrayallocpy().

### Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscStrArrayDestroy(char ***list)

Not Collective

### Output Parameters

list -array of strings

### Notes

Not for use in Fortran

### See Also

PetscStrArrayallocpy()

### Level

intermediate

### Location

src/sys/utils/str.c

### Examples

src/ts/examples/tutorials/extchem.c.html
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages